aboutsummaryrefslogtreecommitdiff
path: root/stretch-arm64
diff options
context:
space:
mode:
authorFathi Boudra <fathi.boudra@linaro.org>2017-05-06 21:42:03 +0300
committerFathi Boudra <fathi.boudra@linaro.org>2017-05-06 21:42:03 +0300
commitdbbb4aac0ed7c44e8a03e1e08c3cfb225a141e19 (patch)
tree25d0a79c5d2eb6c4ba45f15d7836f9b57c1c9c9f /stretch-arm64
parent72d8f5f78a870d93665b4fb3bbe50a215ded810d (diff)
{jessie,stretch,trusty,utopic,xenial}-{amd64,arm64,armhf}: fix build scripts
* docker COPY doesn't follow symlinks (it returns a lstat error) Restore stretch build scripts to copy thee files as before. * Move OBS sources list and key files next to the others. * Remove all the PPA fixup and copy explicitely sources list and keys we want. * Fix the image/tag name jessie-amd64, xenial-adm64 and a few others. Change-Id: I6613c5abc2bba8cbb05a65e0bf0dc17d4082cc1a Signed-off-by: Fathi Boudra <fathi.boudra@linaro.org>
Diffstat (limited to 'stretch-arm64')
-rwxr-xr-xstretch-arm64/build.sh13
l---------stretch-arm64/linaro-overlay-obs.key1
l---------stretch-arm64/linaro-overlay-obs.list1
3 files changed, 12 insertions, 3 deletions
diff --git a/stretch-arm64/build.sh b/stretch-arm64/build.sh
index ca4c1c00..155a1b39 100755
--- a/stretch-arm64/build.sh
+++ b/stretch-arm64/build.sh
@@ -1,10 +1,21 @@
-#!/bin/bash -e
+#!/bin/sh
+
+set -e
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -f *.list *.key
+}
export LANG=C
DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
ARCHITECTURE=$(basename ${PWD} | cut -f2 -d '-')
+cp -a ../linaro-overlay-obs.list ../linaro-overlay-obs.key .
+
image=linaro/ci-${ARCHITECTURE}-debian:${DISTRIBUTION}
docker build --pull --tag=$image .
echo $image > .docker-tag
diff --git a/stretch-arm64/linaro-overlay-obs.key b/stretch-arm64/linaro-overlay-obs.key
deleted file mode 120000
index 17b93d7f..00000000
--- a/stretch-arm64/linaro-overlay-obs.key
+++ /dev/null
@@ -1 +0,0 @@
-../stretch-amd64/linaro-overlay-obs.key \ No newline at end of file
diff --git a/stretch-arm64/linaro-overlay-obs.list b/stretch-arm64/linaro-overlay-obs.list
deleted file mode 120000
index e5e148b8..00000000
--- a/stretch-arm64/linaro-overlay-obs.list
+++ /dev/null
@@ -1 +0,0 @@
-../stretch-amd64/linaro-overlay-obs.list \ No newline at end of file